Subject: Re: bug#18589: Why is the the longlines package obsolete?

From: [email-masked]
Date: Wed, 1 Oct 2014 09:01:18 +0100

>
> It would be interesting to extend visual-lines-mode so you can prevent
> wrapping of some lines
>
If I understand things correctly, visual-line-mode only wraps lines when
they’re longer than the window-width (or window-width - margins), so making
it not wrap some lines would only cause them to extend beyond the window’s
boundaries.

> adaptive-wrap-mode is another approach at indenting wrapped lines
> correctly (but for visual-lines-mode).  I don't guarantee it works well
> for LaTeX, tho (I don't think it uses the indent-according-to-mode code,
> but rather uses the adaptive-fill-mode code).
>
Thanks, under a few initial tests, it does seem to fix the indentation!

> I wouldn't mind de-obsoleting it.  If you're interested, I think it
> would be nice to change longlines.el by adding some hooks to it so you
> can cleanly make it work like you do (without overwriting its functions).
> Feel like taking over maintainership?
>
Sure, I could take over. What would that involve?

> PS: BTW, I don't understand why people want to use
> single-line-paragraphs for "LaTeX under version control".
>
Me neither, and I agree with everything you said here. The approach I’m
taking is with sentences.

If you give each sentence its own line then, when you change a sentence,
the rest of the paragraph doesn’t show up on the diff.

Best Regards,
Artur Malabarba